> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата

> Получите статус и результат задачи генерации видео Gemini по jobId.



## OpenAPI

````yaml openapi/ru/gemini.json get /gemini/video/fetch
openapi: 3.1.0
info:
  title: Документация Gemini API
  version: 1.0.0
  description: >-
    Сервис TTAPI Gemini API: генерация изображений Nano Banana и генерация видео
    Gemini.
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/video/fetch:
    get:
      description: >-
        Запрашивает результат задачи генерации видео Gemini по jobId. Если в
        течение 15 минут нет успешного или неуспешного результата, задача
        помечается как failed с сообщением о тайм-ауте.
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: jobId, возвращенный эндпоинт генерации
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          $ref: '#/components/responses/VideoFetchResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    VideoFetchResponse:
      description: Запрос выполнен успешно
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                description: Статус задачи
                enum:
                  - RUNNING
                  - SUCCESS
                  - FAILED
                example: SUCCESS
              message:
                type: string
                description: Сообщение задачи
                example: success
              jobId:
                type: string
                description: ID задач
                example: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                type: object
                description: Результат видеозадачи
                properties:
                  jobId:
                    type: string
                    description: ID задач
                    example: 0ccf0606-3f32-4090-85bd-1786e4593be5
                  model:
                    type: string
                    example: omni-flash
                  prompt:
                    type: string
                    example: A cinematic shot of a futuristic city at sunset
                  aspect_ratio:
                    type: string
                    example: '16:9'
                  reference_images:
                    type: array
                    items:
                      type: string
                    example:
                      - https://cdn.ttapi.io/example/reference-image.png
                  video_url:
                    type: string
                    description: >-
                      URL видео. Срок действия: см. [Хранение и
                      устойчивость](/grids/ru/faq/storage)
                    example: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                  quota:
                    type: string
                    description: Израсходованная quota
                    example: '1'
                  hookUrl:
                    type: string
                    example: https://example.com/callback
            required:
              - status
              - message
              - jobId
              - data
            example:
              status: SUCCESS
              message: success
              jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
                model: omni-flash
                prompt: A cinematic shot of a futuristic city at sunset
                aspect_ratio: '16:9'
                reference_images:
                  - https://cdn.ttapi.io/example/reference-image.png
                video_url: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                quota: '1'
                hookUrl: https://example.com/callback
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````